Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DynamicFilterParameterHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.ParameterHandle
                  org.eclipse.birt.report.model.api.AbstractScalarParameterHandle
                      org.eclipse.birt.report.model.api.DynamicFilterParameterHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IAbstractScalarParameterModel, org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel, org.eclipse.birt.report.model.elements.interfaces.IParameterModel

    public class DynamicFilterParameterHandle

extends AbstractScalarParameterHandle
implements org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel

Represents the dynamic filter parameter types.

See Also:
  `DynamicFilterParameter`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDynamicFilterParameterModel
`COLUMN_PROP, DSIPLAY_TYPE_PROP, FILTER_OPERATOR_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IAbstractScalarParameterModel
`DATA_TYPE_PROP, DATASET_NAME_PROP, DEFAULT_VALUE_PROP, IS_REQUIRED_PROP, LABEL_EXPR_PROP, LIST_LIMIT_PROP, SELECTION_LIST_PROP, SORT_BY_COLUMN_PROP, SORT_BY_PROP, SORT_DIRECTION_PROP, VALUE_EXPR_PROP, VALUE_TYPE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterModel
`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, HIDDEN_PROP, PROMPT_TEXT_ID_PROP, PROMPT_TEXT_PROP, VALIDATE_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`DynamicFilterParameterHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a handle for the DynamicFilterParameter with the given design and the parameter.

Method Summary
`java.lang.String` | `getColumn()` Gets the column value.
`java.lang.String` | `getDisplayType()` Gets the display type for this parameter.
`java.util.List<java.lang.String>` | `getFilterOperatorList()` Returns the list containing filter operator.
`void` | `setColumn(java.lang.String column)` Sets the column value.
`void` | `setDisplayType(java.lang.String displayType)` Sets the display type for this parameter.
`void` | `setFilterOperator(java.util.List<java.lang.String> filterOperatorList)` Sets the filter operator.

Methods inherited from class org.eclipse.birt.report.model.api.AbstractScalarParameterHandle
`choiceIterator, getDataSet, getDataSetName, getDataType, getDefaultValueList, getLabelExpr, getListlimit, getSortBy, getSortByColumn, getSortDirection, getValueExpr, getValueType, isRequired, setDataSetName, setDataType, setDefaultValueList, setIsRequired, setLabelExpr, setListlimit, setSortBy, setSortByColumn, setSortDirection, setValueExpr, setValueType`

Methods inherited from class org.eclipse.birt.report.model.api.ParameterHandle
`getDisplayPromptText, getHelpText, getHelpTextKey, getPromptText, getPromptTextID, getValidate, isHidden, setHelpText, setHelpTextKey, setHidden, setPromptText, setPromptTextID, setValidate`

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicFilterParameterHandle

    public DynamicFilterParameterHandle(org.eclipse.birt.report.model.core.Module module,
                                        org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a handle for the DynamicFilterParameter with the given design and the parameter.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### setDisplayType

    public void setDisplayType(java.lang.String displayType)
                        throws SemanticException

  Sets the display type for this parameter. The display type controls whether it is a simple filter or advanced filter. Types are defined in `DesignChoiceConstants` can be one of the followings:
  - `DYNAMIC_FILTER_SIMPLE`
  - `DYNAMIC_FILTER_ADVANCED`

  Parameters:
    `displayType` -
  Throws:
    `SemanticException`

### getDisplayType

    public java.lang.String getDisplayType()

  Gets the display type for this parameter. The display type controls whether it is a simple filter or advanced filter. Types are defined in `DesignChoiceConstants` can be one of the followings:
  - `DYNAMIC_FILTER_SIMPLE`
  - `DYNAMIC_FILTER_ADVANCED`

  Returns:
    the display value.

### setColumn

    public void setColumn(java.lang.String column)
                   throws SemanticException

  Sets the column value.

  Parameters:
    `column` - the column value.
  Throws:
    `SemanticException`

### getColumn

    public java.lang.String getColumn()

  Gets the column value.

  Returns:
    the column value.

### getFilterOperatorList

    public java.util.List<java.lang.String> getFilterOperatorList()

  Returns the list containing filter operator.

  Returns:
    the list containing filter operator.

### setFilterOperator

    public void setFilterOperator(java.util.List<java.lang.String> filterOperatorList)
                           throws SemanticException

  Sets the filter operator.

  Parameters:
    `list` - the filter operator list.
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.